org.apache.sysds.runtime.compress.utils

## Class DblArrayIntListHashMap.DArrayIListEntry

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DblArrayIntListHashMap.DArrayIListEntry

All Implemented Interfaces:
  Comparable<DblArrayIntListHashMap.DArrayIListEntry>, Comparator<DblArrayIntListHashMap.DArrayIListEntry>

Enclosing class:
  DblArrayIntListHashMap

    public class DblArrayIntListHashMap.DArrayIListEntry
    extends Object
    implements Comparator<DblArrayIntListHashMap.DArrayIListEntry>, Comparable<DblArrayIntListHashMap.DArrayIListEntry>

### Field Summary

Fields
`DblArray` `key`
`DblArrayIntListHashMap.DArrayIListEntry` `next`
`IntArrayList` `value`

### Constructor Summary

Constructors
Constructor and Description
`DArrayIListEntry(DblArray ekey, IntArrayList evalue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(DblArrayIntListHashMap.DArrayIListEntry o1, DblArrayIntListHashMap.DArrayIListEntry o2)`
`int` `compareTo(DblArrayIntListHashMap.DArrayIListEntry o)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### key

    public DblArray key

#### value

    public IntArrayList value

#### next

    public DblArrayIntListHashMap.DArrayIListEntry next

### Constructor Detail

#### DArrayIListEntry

    public DArrayIListEntry(DblArray ekey,
                            IntArrayList evalue)

### Method Detail

#### compare

    public int compare(DblArrayIntListHashMap.DArrayIListEntry o1,
                       DblArrayIntListHashMap.DArrayIListEntry o2)

Specified by:
  `compare` in interface `Comparator<DblArrayIntListHashMap.DArrayIListEntry>`

#### compareTo

    public int compareTo(DblArrayIntListHashMap.DArrayIListEntry o)

Specified by:
  `compareTo` in interface `Comparable<DblArrayIntListHashMap.DArrayIListEntry>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`